Page MenuHomePhabricator

Use CheckboxMultiSelectWidget (when it exists) in HTMLMultiSelectField
Closed, ResolvedPublic

Description

Use CheckboxMultiSelectWidget (when it exists) in HTMLMultiSelectField. We wouldn't need custom style overrides then (like a8ae2208cec8914028ce260c1b2f00a92e7e2127).

Event Timeline

matmarex created this task.Jan 18 2016, 4:26 PM
matmarex updated the task description. (Show Details)
matmarex raised the priority of this task from to Needs Triage.
matmarex added subscribers: matmarex, Jdforrester-WMF.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 18 2016, 4:26 PM
Jdforrester-WMF triaged this task as Normal priority.Jan 18 2016, 4:33 PM
Jdforrester-WMF set Security to None.

Change 291714 had a related patch set uploaded (by Bartosz Dziewoński):
HTMLMultiSelectField: Use CheckboxMultiselectInputWidget

https://gerrit.wikimedia.org/r/291714

Change 291714 merged by jenkins-bot:
HTMLMultiSelectField: Use CheckboxMultiselectInputWidget

https://gerrit.wikimedia.org/r/291714

Jdforrester-WMF closed this task as Resolved.May 31 2016, 11:05 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Sethakill reopened this task as Open.Jun 5 2016, 7:58 AM
Sethakill added a subscriber: Sethakill.

This change will broke pages with this field and flatlist parameter.

wmf.4master

Thank you for spotting this!

Change 292947 had a related patch set uploaded (by Bartosz Dziewoński):
HTMLForm: Properly support 'flatlist' in OOUI mode

https://gerrit.wikimedia.org/r/292947

Change 292947 merged by jenkins-bot:
HTMLForm: Properly support 'flatlist' in OOUI mode

https://gerrit.wikimedia.org/r/292947

Sethakill closed this task as Resolved.
Sethakill removed a subscriber: gerritbot.

Updated screenshot for those who are interested: